﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace alisveris
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            verioku();
            label2.Text = "0 TL";
        }

        int[] fiyatlar;

        private void verioku()
        {

            try
            {
                comboBox1.Items.Clear();
                string[] veriler = File.ReadAllLines("fiyatlar.txt");

                fiyatlar = new int[veriler.Length]; // min dosyadaki satir sayisi kadar

                char[] ch={';'};
                for (int sayac = 0; sayac < veriler.Length; sayac++)
                {
                    if (veriler[sayac].Length > 0)
                    {

                        string[] parca = veriler[sayac].Split(ch, StringSplitOptions.RemoveEmptyEntries);
                        if (parca.Length == 2)
                        {
                            int sayi;
                            bool testet = Int32.TryParse(parca[1], out sayi);

                            if (testet && parca[0].Length > 0)
                            { 
                                //urun adi min 1 karakter ve fiyat int ise

                                fiyatlar[sayac] = sayi;
                                comboBox1.Items.Add(parca[0]);
                            
                            }
                        
                        }
                    }
                    
                }
                comboBox1.Text = "Seçiniz";

            }
            catch { }
        
        }

        int total = 0;
        private void ekle_Click(object sender, EventArgs e)
        {

            if (comboBox1.SelectedIndex > -1)
            { 
            
                int miktar;
                bool kontrolet = Int32.TryParse(textBox1.Text, out miktar);

                if (kontrolet)
                {
                    int urunftoplami = miktar * fiyatlar[comboBox1.SelectedIndex];
                    listBox1.Items.Add(comboBox1.Text);
                    listBox2.Items.Add(textBox1.Text);
                    listBox3.Items.Add(urunftoplami.ToString());
                    total += urunftoplami;
                    label2.Text = total + " TL";
                    textBox1.Text = "";
                    comboBox1.Text = "Seçiniz";
                }
            
  
            
            }



        }

        private void cikis_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
