﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
namespace telefondefteri
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ekle.Enabled = false;
            verioku();
        }

        private void ekle_Click(object sender, EventArgs e)
        {
            try
            {
                FileStream fs = new FileStream("defter.txt", FileMode.Append);
                StreamWriter sw = new StreamWriter(fs);
                sw.WriteLine(textBox1.Text + ";" + textBox2.Text);
                sw.Close();
                fs.Close();
                textBox1.Text = "";
                textBox2.Text = "";
                verioku();
            }
            catch { }

        }


        private void verioku()
        {
            try
            {
                // listboxlari bosalttik
                listBox1.Items.Clear();
                listBox2.Items.Clear();

                // tum satirlari okuduk
                string[] veriler = File.ReadAllLines("defter.txt");

                // satirlari sirayla donderiyoruz
                for (int sayac = 0; sayac < veriler.Length; sayac++)
                {
                    if (veriler[sayac].Length > 0)
                    {
                        //listBox1.Items.Add(veriler[sayac]);
                        char[] ch = {';'};
                        string[] parca = veriler[sayac].Split(ch, StringSplitOptions.RemoveEmptyEntries);
                        if (parca.Length == 2)
                        {
                            listBox1.Items.Add(parca[0]);
                            listBox2.Items.Add(parca[1]);
                        }
                    }
                
                }
            }
            catch { }


        
        
        
        }

        private void cikis_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {

            if (textBox1.Text.Length > 2 && textBox2.Text.Length > 7 && textBox2.Text.Length < 11)
            {
                ekle.Enabled = true;
            }
            else
                ekle.Enabled = false;
        }

        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            listBox2.SelectedIndex = listBox1.SelectedIndex;
        }

        private void listBox2_SelectedIndexChanged(object sender, EventArgs e)
        {
            listBox1.SelectedIndex = listBox2.SelectedIndex;
        }
    }
}
